cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
Announcements
Want to know more about how Community ideas impact Dropbox development? Check it out here

Dropbox installs & integrations

Connect your tools and content together with help from the Dropbox Community. Join a discussion or post a question of your own to get started.

cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

couldn't start Dropbox

couldn't start Dropbox

Nancy17
New member | Level 2

i tried to download the app, and got an error message that cant be copied apparently but is this:

Screen Shot 2020-08-15 at 17.26.01.png

so what do I do ?  I cant access my DB folders except by going through the website

1 Accepted Solution

Accepted Solutions

Re: couldn't start Dropbox

Nancy17
New member | Level 2

well, i have no idea what just happened, but DB is now downloaded and on my computer, so I thank you very much for your help and patience.

View solution in original post

13 Replies 13

Re: couldn't start Dropbox

Здравко
Super Collaborator | Level 20

Hi @Nancy17,

What's inside the file pointed by blue link? Can you post the content, as noted?

Re: couldn't start Dropbox

Nancy17
New member | Level 2

it's the link DB told me to provide to DB support - a text file

Re: couldn't start Dropbox

Nancy17
New member | Level 2

text file:

bn.BUILD_KEY: Dropbox
bn.VERSION: 104.4.175
bn.constants.WINDOWS_SHELL_EXT_VERSION: 44
bn.is_frozen: True
machine_id: f7f1ecaa-8faa-5e72-a31c-369fdaf6fdc8
pid: 1579
ppid: 1
uid: 502
user_info: pwd.struct_passwd(pw_name='nriggs', pw_passwd='********', pw_uid=502, pw_gid=20, pw_gecos='nriggs', pw_dir='/Users/nrr 1', pw_shell='/bin/bash')
effective_user_info: pwd.struct_passwd(pw_name='nriggs', pw_passwd='********', pw_uid=502, pw_gid=20, pw_gecos='nriggs', pw_dir='/Users/nrr 1', pw_shell='/bin/bash')
euid: 502
gid: 20
egid: 20
group_info: grp.struct_group(gr_name='staff', gr_passwd='*', gr_gid=20, gr_mem=['root', 'nriggs', '_serialnumberd', 'nrr'])
effective_group_info: grp.struct_group(gr_name='staff', gr_passwd='*', gr_gid=20, gr_mem=['root', 'nriggs', '_serialnumberd', 'nrr'])
DYLD_LIBRARY_PATH: None
cwd: '/'
real_path='/'
mode=0o40755 uid=0 gid=0
parent mode=0o40755 uid=0 gid=0
HOME: '/Users/nrr 1'
appdata: '/Users/nrr 1/.dropbox/instance1'
real_path='/Users/nrr 1/.dropbox/instance1'
mode=0o40700 uid=502 gid=20
parent mode=0o40700 uid=502 gid=20
dropbox_path: '/Users/nrr/Dropbox'
real_path='/Users/nrr/Dropbox'
mode=0o40700 uid=501 gid=20
parent mode=0o40755 uid=502 gid=20
sys_executable: '/Applications/Dropbox.app/Contents/MacOS/Dropbox'
real_path='/Applications/Dropbox.app/Contents/MacOS/Dropbox'
mode=0o100755 uid=502 gid=20
parent mode=0o40755 uid=502 gid=20
trace.__file__: '/Applications/Dropbox.app/Contents/Resources/python-packages.zip/dropbox/client/ui/common/boot_error.pyc'
real_path='/Applications/Dropbox.app/Contents/Resources/python-packages.zip/dropbox/client/ui/common/boot_error.pyc'
not found
parent not found
tempdir: '/var/folders/17/ghsp1d0s08x93z5t15ndtybm0000gp/T'
real_path='/private/var/folders/17/ghsp1d0s08x93z5t15ndtybm0000gp/T'
mode=0o40700 uid=502 gid=20
parent mode=0o40755 uid=502 gid=20
Traceback (most recent call last):
File "dropbox/shared/error_util.pyc", line 36, in convert_error
File "dropbox/sync_engine/file_system/util.pyc", line 89, in wrapped
File "dropbox/sync_engine/file_system/pythonos.pyc", line 102, in open
PermissionError: [Errno 13] Permission denied: '/Users/nrr/Dropbox/.dropbox-relocate3640a06ba127'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "dropbox/client/authentication/manager.pyc", line 943, in _on_register_host_success
File "dropbox/client/authentication/manager.pyc", line 1232, in _handle_joining_leaving_cdm_team
File "dropbox/client/relocate_namespace_folders.pyc", line 728, in execute_pending_operations
File "dropbox/sync_engine/file_system/util.pyc", line 89, in wrapped
File "contextlib.pyc", line 130, in __exit__
File "dropbox/shared/error_util.pyc", line 49, in convert_error
File "six.pyc", line 695, in reraise
File "dropbox/shared/error_util.pyc", line 36, in convert_error
File "dropbox/sync_engine/file_system/util.pyc", line 89, in wrapped
File "dropbox/sync_engine/file_system/pythonos.pyc", line 102, in open
dropbox.sync_engine_boundary.file_system_exceptions.PermissionDeniedError: [Errno 13] Permission denied: '/Users/nrr/Dropbox/.dropbox-relocate3640a06ba127'

Re: couldn't start Dropbox

Здравко
Super Collaborator | Level 20
Seems, you have change your home directory, for some reason. Probably after syste upgrade. In same time you have new effective user id 502 (old one 501). Your current Dropbox settings point to the old directory still. Your new effective user don't have access there anymore. You can solve this in 2 directions:

1. Try to fix the effective ownership, using following command (run in terminal/shell) :
sudo chown -R "$USER" /Users/nrr/Dropbox

'sudo' will ask for your password. Local user password, not Dropbox one!

2. Resync Dropbox folder to the new default location/home. Execute in terminal:
rm -rf ~/.dropbox

Next, you will need to reconnect/relink to your account. Your existing connection will be destroed!

Choose what better fit for your case.
Hope this helps. 😉

Re: couldn't start Dropbox

Nancy17
New member | Level 2

hi, thanks for this.  I'm on a Mac and so have no idea how to access terminal/shell

Re: couldn't start Dropbox

Здравко
Super Collaborator | Level 20
Hi,
There are many possibilities. Terminal mandatory exists in your application set. For few example ways take a look here: https://www.idownloadblog.com/2019/04/19/ways-open-terminal-mac/
Good luck!

Re: couldn't start Dropbox

Nancy17
New member | Level 2

that's great - never knew how to do that.  I followed your first instruction

[1. Try to fix the effective ownership, using following command (run in terminal/shell) :
sudo chown -R "$USER" /Users/nrr/Dropbox

'sudo' will ask for your password. Local user password, not Dropbox one!]

 

below is what it gave me, so I am not sure what to do next?  if I type in rm -rf~/.dropbox it just returns with client420:

 

Last login: Sat Aug 15 11:44:24 on console

The default interactive shell is now zsh.
To update your account to use zsh, please run `chsh -s /bin/zsh`.
For more details, please visit https://support.apple.com/kb/HT208050.
client420:~ nxxxx$ -R "$USER"/Users/nrr/Dropbox
-bash: -R: command not found
client420:~ nxxxx$ sudo chown -R"$USER"/Users/nrr/Dropbox
Password:
chown: illegal option -- r
usage: chown [-fhnv] [-R [-H | -L | -P]] owner[:group] file ...
             chown [-fhnv] [-R [-H | -L | -P]] :group file ...
client420:~ nxxxx$

Re: couldn't start Dropbox

Здравко
Super Collaborator | Level 20
Seems, you make some syntax errors! You have to keep all letters capitalization and the spaces between commands parts, otherwise command can't runs properly. As could be seen you had some spaces skipped. Be more careful, wrong command could be dangerous for your system!
Only one of the ways is needed.

Re: couldn't start Dropbox

Nancy17
New member | Level 2

thank you for trying to help me.

I am not sure where I have put in spaces that are not allowed - from this that you wrote

sudo chown -R "$USER" /Users/nrr/Dropbox

can you rewrite to show [] for where a space should be - so just exactly what I will put into terminal. 

I put in sudo[]chown[]-R"$USER"/Users/nrr/Dropbox, but it did not like the '-' in front of R ("illegal option"), so I took that out.  It returned this:

usage: chown [-fhnv] [-R [-H | -L | -P]] owner[:group] file ...
chown [-fhnv] [-R [-H | -L | -P]] :group file ...

Thank you!

Who's talking

Top contributors to this post

  • User avatar
    Nancy17 New member | Level 2
  • User avatar
    Здравко Super Collaborator | Level 20
What do Dropbox user levels mean?
Need more support?